Toad World® Forums

postgres connection issue


#1

Connection failed because of the following error:“Error loading library ‘libpq.dll’”

Is it possible that data modeller is looking for the ‘native library’ in a default location?


#2

thanks for making the postgres version available btw… very happy :slight_smile:


#3

This is for reverse engineering a database btw…

you know… it is late in the day for me… I am thinking too slow


#4

Hello Bill,

This error appears in case you have not installed library “libpq.dll”, which is distributed with the PostgreSQL package. Please find and download this .dll from http://www.postgresql.com.
Then copy it into Toad Data Modeler BETA folder, Bin directory, Eg. C:\Program Files\Quest Software\Toad Data Modeler - Beta 3\Bin.

Is it possible that data modeller is looking for the ‘native library’ in a default location?

It’s not possible in TDM. However, you can set the location to Windows Path variable.

My Computer | Properties | Advanced tab in the System Properties tab | click Environment Variables | find Path in System Variables area | Edit it and add the path to the library in the Variable value box.

Regards,

Vladka


#5

OK… I see what might have happened… I upgraded to Postgres 8.2 on this machine a couple months ago. I guess when I installed the beta it might have looked for 8.1. Mind you DMv2worked pretty good with v2 :slight_smile:

I’ll copy the dll into the bin like you mention… if it is flakey I’ll install version 8.1 (heck I’ll try that too anyway).

If were to put it into the environment variables… what variable name? Just the path variable?

Thanks.


#6

Hi,

…Mind you DMv2worked pretty good with v2 :slight_smile:

At the moment, Beta supports only PostgreSQL 8.1, however you can try to use v. 8.2. Anyway, PostgreSQL 8.2 will be supported.

If were to put it into the environment variables… what variable name? Just the path variable?

Yes, just the Path variable. Go to the end of the variable, write ‘;’ (semicolon) and enter the path to the library (without the library file, just the path).

Please let us know the result. Thanks.

Vladka + TDM Team


#7

looks like it doesn’t like the ssl library from 8.2

and unfortunately pgadmin is flaky enough that it doesn’t like my backup script from 8.2 being run against the 8.1 database…

so I installed the 8.1 DB… when I get a few minutes later today I will figure a way to get my DB loaded there and try to reverse engineer.

Too bad I can’t load the modeller v2 model and forward engineer from there.

Let you know